/**
 * New CMI
 * Copyright (C) 2007,2008 Bull S.A.S.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id:JGroupsServerConfig.java 949 2007-06-02 17:24:33Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.impl.jgroups;


/**
 * Provide configuration for the JGroups implementation for the ServerClusterViewManager.
 * @author The new CMI team
 * @see JGroupsClusterViewManager
 */
public final class Config extends org.ow2.cmi.controller.server.ServerConfig {

    /**
     * Default filename for the configuration file.
     */
    private static final String DEFAULT_CONF_FILENAME = "jgroups-cmi.xml";

    /**
     * Default group name.
     */
    private static final String DEFAULT_GROUP_NAME = "G1";

    /**
     * Default reconnection timeout for JGroups DistributedTree.
     */
    private static final long DEFAULT_JGROUPS_RECONNECTION_TIMEOUT = 5000;

    /**
     * JGroups configuration filename.
     */
    private String confFileName = DEFAULT_CONF_FILENAME;

    /**
     * Reconnection timeout for JGroups DistributedTree.
     */
    private long recoTimeout = DEFAULT_JGROUPS_RECONNECTION_TIMEOUT;

    /**
     * Group name.
     */
    private String groupName = DEFAULT_GROUP_NAME;

    public String getConfFileName() {
        return confFileName;
    }


    public void setConfFileName(final String confFileName) {
        this.confFileName = confFileName;
    }


    public long getRecoTimeout() {
        return recoTimeout;
    }


    public void setRecoTimeout(final long recoTimeout) {
        this.recoTimeout = recoTimeout;
    }


    public String getGroupName() {
        return groupName;
    }


    public void setGroupName(final String groupName) {
        this.groupName = groupName;
    }

}
